# addPropertyTags

Add existing tag(s) (by tag id) to a property. Get tag ids from searchPropertyTags. Returns the property with its updated tag set.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "addPropertyTags", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `propertyId`: `ID!` (required)
- `tagIds`: `[String!]!` (required)

## Response (data, an example)

```json
{
  "propertyMutation": {
    "addTagToProperty": {
      "id": "<ID>",
      "address": {
        "line1": "…",
        "city": "…",
        "state": "…",
        "zip": "…",
        "addressFull": "…"
      },
      "tags": [
        {
          "id": "<ID>",
          "name": "…",
          "folderId": "<ID>"
        }
      ]
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "addPropertyTags",
    "variables": {
      "propertyId": "<propertyId>",
      "tagIds": [
        "<String>"
      ]
    }
  }'
```
